/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package project.core;

import io.github.palexdev.materialfx.css.themes.MFXThemeManager;
import io.github.palexdev.materialfx.css.themes.Themes;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.SceneAntialiasing;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

import project.database.Database;
import project.database.Session;
import project.panel.LoginPanel;

public class App extends Application {
    /*
     * String path = getClass()
     * .getClassLoader()
     * .getResource("./css/main.css")
     * .toExternalForm();
     */

    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage stage) throws Exception {
        int height = -1;

        stage = new Stage();

        LoginPanel loginPanel = new LoginPanel(stage);

        Pane root = new Pane();
        root.getChildren().add(loginPanel);

        if (Database.getConnection() == null)
            height = 120;

        else
            height = 165;

        Scene scene = new Scene(root, 325, height, true, SceneAntialiasing.BALANCED);
        // scene.setDepthBuffer();
        scene.getStylesheets().clear();
        // scene.getStylesheets().add(path);

        MFXThemeManager.addOn(scene, Themes.DEFAULT, Themes.LEGACY);

        stage.setScene(scene);
        stage.centerOnScreen();
        stage.setOnCloseRequest(event -> System.exit(0));

        if (Session.getInstance().isSetSession()) {
            stage.close();
        } else {
            stage.show();
        }
    }
}
